// gl-utils.h

#ifndef GL_UTILS_H
#define GL_UTILS_H

#include <string>

#define GLEW_STATIC 1
#include <GL/glew.h>
#include <GL/freeglut.h>

#define BUFFER_OFFSET(bytes) ((GLubyte*) NULL + (bytes))

#ifdef DEBUG
#define PRINT_OPENGL_ERROR() print_opengl_error(__FILE__, __LINE__)
#else
#define PRINT_OPENGL_ERROR()
#endif

void print_opengl_error(const char *file, int line);

GLuint read_shader(const std::string &vertex_filename,
                   const std::string &fragment_filename);

#endif
